package test3;

import COSC3P91.xml.XMLNodeConverter;
import static COSC3P91.xml.XMLTools.getIntAttribute;
import org.w3c.dom.Node;

public class XMLNodeConverterWorkData implements XMLNodeConverter<WorkData> {
    
    private final static XMLNodeConverterWorkData instance = new XMLNodeConverterWorkData();
    
    public static XMLNodeConverterWorkData getInstace() {
        return instance;
    }
    
    private XMLNodeConverterWorkData() {
    }

    @Override
    public WorkData convertXMLNode(Node node) {
        WorkData result = null;
        String name = node.getNodeName();
        if (name.equals("WorkData")) {
            int id = getIntAttribute(node,"id");
            int hoursWorked = getIntAttribute(node,"hoursWorked");
            result = new WorkData(id,hoursWorked);
        }
        return result;
    }
    
}
