package test3;

import COSC3P91.xml.XMLReader;
import java.io.IOException;
import java.io.StringReader;
import java.util.HashMap;
import java.util.Map;

public class Main {

    public static void main(String[] args) throws IOException {
        XMLReader.setXSDPath("./XSD/");
        
        Queue<String> queue1 = new Queue();
        EmployeeThread personThread = new EmployeeThread(queue1);
        personThread.start();
        
        Queue<String> queue2 = new Queue();
        WorkDataThread salaryThread = new WorkDataThread(queue2,10);
        salaryThread.start();
        
        Map<Integer,Integer> salary = new HashMap();
        String message = queue1.pull();
        while (message != null) {
            SalaryData salaryData = SalaryData.read(new StringReader(message));
            salary.put(salaryData.getID(),salaryData.getHourlyRate());
            message = queue1.pull();
        }
        message = queue2.pull();
        while (message != null) {
            WorkData workData = WorkData.read(new StringReader(message));
            int id = workData.getID();
            System.out.println("Employee " + id + " gets $" + (float) (salary.get(id)*workData.getHoursWorked()) / 100 + ".");
            message = queue2.pull();
        }
        
    }
    
}
