package test3;

import COSC3P91.xml.XMLObject;
import COSC3P91.xml.XMLReader;
import java.io.Reader;

public class WorkData implements XMLObject {
    
    private final int id;
    private int hoursWorked;
    
    private static XMLReader<WorkData> reader = null;
    
    public static WorkData read(Reader source) {
        if (reader==null) {
            reader = new XMLReader();
            reader.setXMLSchema("WorkData.xsd");
            reader.setXMLNodeConverter(XMLNodeConverterWorkData.getInstace());
        }
        return reader.readXML(source);
    }

    public WorkData(int id, int hoursWorked) {
        this.id = id;
        this.hoursWorked = hoursWorked;
    }

    public int getID() {
        return id;
    }

    public int getHoursWorked() {
        return hoursWorked;
    }
    
    public void addHours(int amount) {
        hoursWorked += amount;
    }
    
    @Override
    public String toXMLString() {
        return "<WorkData id=\"" + id + "\" hoursWorked=\"" + hoursWorked + "\"/>";
    }
    
}
