package test3;

import COSC3P91.xml.XMLNodeConverter;
import static COSC3P91.xml.XMLTools.getIntAttribute;
import static COSC3P91.xml.XMLTools.getStringAttribute;
import org.w3c.dom.Node;

public class XMLNodeConverterEmplyee implements XMLNodeConverter<Employee> {
    
    private final static XMLNodeConverterEmplyee instance = new XMLNodeConverterEmplyee();
    
    public static XMLNodeConverterEmplyee getInstace() {
        return instance;
    }
    
    private XMLNodeConverterEmplyee() {
    }

    @Override
    public Employee convertXMLNode(Node node) {
        Employee result = null;
        String name = node.getNodeName();
        if (name.equals("Employee")) {
            String firstName = getStringAttribute(node,"firstName");
            String lastName = getStringAttribute(node,"lastName");
            int age = getIntAttribute(node,"age");
            int hourlyRate = getIntAttribute(node,"hourlyRate");
            result = new Employee(firstName,lastName,age,hourlyRate);
        }
        return result;
    }
    
}
