package test3;

import COSC3P91.xml.XMLNodeConverter;
import static COSC3P91.xml.XMLTools.getIntAttribute;
import org.w3c.dom.Node;

public class XMLNodeConverterSalaryData implements XMLNodeConverter<SalaryData> {
    
    private final static XMLNodeConverterSalaryData instance = new XMLNodeConverterSalaryData();
    
    public static XMLNodeConverterSalaryData getInstace() {
        return instance;
    }
    
    private XMLNodeConverterSalaryData() {
    }

    @Override
    public SalaryData convertXMLNode(Node node) {
        SalaryData result = null;
        String name = node.getNodeName();
        if (name.equals("SalaryData")) {
            int id = getIntAttribute(node,"id");
            int checkSum = getIntAttribute(node,"checkSum");
            int hourlyRate = getIntAttribute(node,"hourlyRate");
            SalaryData data = new SalaryData(id,hourlyRate);
            if (data.check(checkSum)) result = data;
        }
        return result;
    }
    
}
